Skip to main content

private/fiat/fiat-create-bank-account

POST 

/private/fiat/fiat-create-bank-account

Link a bank account via Plaid for a user. Links the user's bank account to their profile for withdrawals using a Plaid integration payload.

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/fiat/fiat-create-bank-account"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1773372503821".

    on_behalf_of_account_uuid stringrequired

    The account UUID of the user on whose behalf the broker is making the request

    params objectrequired
    plaid_account_id stringrequired

    The user's bank account ID from Plaid (selected by user in Plaid Link flow)

    plaid_public_token stringrequired

    Plaid public token received from the Plaid Link SDK's onSuccess callback on the frontend. This is NOT the link_token from private/fiat/fiat-get-plaid-token; the link_token is used to initialize Plaid Link, while the public_token is returned by Plaid after the user completes the bank linking flow.

    currency stringrequired

    Currency code (3-letter format)

    bank_account_id string

    Existing bank account ID. Used to link a Plaid-created bank account to an existing bank account record (e.g., re-linking or updating). Optional — omit on first creation.

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0. Returns list of bank accounts including the newly created one.
    bank_accounts_list object[]required
    List of user's bank accounts
  • Array [
  • id stringrequired

    Unique bank account ID

    status stringrequired

    Possible values: [pending, submitted, pending_authorize, authenticated, transaction_enabled, pending_proof, proof_submitted, approved, rejected, escalated, completed, deleted]

    Bank account status.

    bank_name stringrequired

    Bank name

    currency stringrequired

    Currency code (e.g., USD)

    account_holder_name stringrequired

    Account holder name

    account_identifier_value stringrequired

    Masked account identifier value

    supported_payment_networks string[]required

    Array of supported payment network identifiers

    created_at int64required

    Account creation timestamp (ms).

    updated_at int64required

    Account last update timestamp (ms).

  • ]
  • message string

    Present when code !== 0.

    original string

    Present when code !== 0.